package ch.ivyteam.sample;

import ch.ivyteam.ivy.persistence.IPersistentTransaction;
import ch.ivyteam.ivy.persistence.PersistencyException;
import ch.ivyteam.ivy.security.ISession;
import ch.ivyteam.ivy.security.ISessionExtension;

public class MyDemoSessionExtension implements ISessionExtension 
{

	@Override
	public void createSession(ISession session, IPersistentTransaction transaction)
			throws PersistencyException {
		System.err.println("created session "+session);
	}

	@Override
	public void destroySession(ISession session, IPersistentTransaction transaction)
			throws PersistencyException {
		System.err.println("session destroyed "+session);
	}

	@Override
	public void logoutSession(ISession session, IPersistentTransaction transaction,
			long currentTaskId) throws PersistencyException {
		System.err.println("session logout "+session);
	}
	
}
